.es_view_changer {
    display: none;
}
.es_poi_map {
    margin-top: 0;
    width: 100%;
	height: 100%;
}
#poi-map {
    height: 100%;
}
.es_postlist_container {
    display: flex;
    gap: 1.5rem;
    align-items: stretch;
}
.es_element_post_refrence {
    cursor: pointer;
    height: 100%;
}
.es_post_wrapper {
    flex-direction: column;
    height: 100%;
    padding: 0;
    gap: 0;
    background-color: var(--wp--preset--color--green);
}
.es_post_wrapper > .es_post_thumbnail {
    font-size: 0;
    width: 100%;
    padding: 2px;
}
.es_post_wrapper > .es_post_thumbnail > img {
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
}
.es_post_wrapper > .es_post_title_and_content {
    width: 100%;
}
.es_post_wrapper > .es_post_title_and_content > .es_post_title {
    margin: 1rem 1rem 0.5rem 1rem;
    color: var(--wp--preset--color--white);
    font-size: var(--wp--preset--font-size--small);
}
.es_post_location {
    font-size: var(--wp--preset--font-size--x-small);
    color: var(--wp--preset--color--white);
    margin: 0 1rem 1rem 1rem;
}
.es_post_wrapper > .es_post_title_and_content > .es_post_content {
    display: none;
}

/* Styles for selected list item */
.es_element_post_refrence.es_marker_select {
    border: none;
    order: 2 !important;
}
.es_element_post_refrence.es_marker_select .es_post_wrapper {
    background-color: var(--wp--preset--color--europe-blue);
    border: none;
}

/* Styles for the columns containing the map and according post types */
.wp-block-column:has(#poi-map) {
    height: 100vh;
    position: sticky;
    top: 0;
}

@media only screen and (min-width: 500px) {
    .es_post_wrapper {
        flex-direction: row;
    }
    .es_post_wrapper > .es_post_thumbnail {
        width: 40%;
    }
    .es_post_wrapper > .es_post_title_and_content {
        width: 60%;
    }
    .es_post_wrapper > .es_post_thumbnail > img {
        aspect-ratio: 4 / 3;
    }
}